
:root {
  --primary-green: #4CAF50;
  --primary-blue: #00BCD4;
  --bg-cream: #FFF8E1;
  --text-dark: #333;
  
  /* Card Colors matching design */
  --card-eu-bg: #B3E5FC; /* Light Blue */
  --card-eu-text: #0277BD;
  --card-am-bg: #D7CCC8; /* Brownish */
  --card-am-text: #5D4037;
  --card-as-bg: #E1BEE7; /* Purple */
  --card-as-text: #7B1FA2;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
.contai{
  width: 1200px;
  padding: 0px;
  margin: 0px auto;
}
body {
  font-family: 'Nunito', sans-serif;
  overflow: hidden;
  background-color: #f0f0f0;
  /* height: 100vh; */
  width: 100vw;
  /* overflow-y: auto; */
}

/* --- Layout & Transitions --- */
.view-section {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  transition: all 0.8s cubic-bezier(0.68, -0.55, 0.27, 1.55);
  opacity: 0;
  visibility: hidden;
  transform: scale(0.95);
  z-index: 1;
}

.view-section.active {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
  z-index: 10;
}

.view-section.hidden-left {
  transform: translateX(-100%);
  opacity: 0;
}

.view-section.hidden-right {
  transform: translateX(100%);
  opacity: 0;
}

/* --- Part 1: Landing --- */
#view-1 {
  background: url(../img/banner.png) no-repeat;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: relative;
  overflow: hidden;
  background-size: auto 100%;
  background-position-x: center;
}

.landing-bg {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 60%;
  /* background-image: url('https://bailian-bmp-pre.oss-cn-hangzhou.aliyuncs.com/public/system_agent/PlaceHolder.png'); */
  background-size: cover;
  background-position: center bottom;
  opacity: 0.8;
  mask-image: linear-gradient(to bottom, transparent, black);
  -webkit-mask-image: linear-gradient(to bottom, transparent, black);
}

.landing-content {
  z-index: 2;
  /* padding: 2rem; */
  /* border-radius: 20px; */
  /* box-shadow: 0 10px 30px rgba(0,0,0,0.1); */
  /* max-width: 600px; */
  /* width: 90%; */
  animation: float 2s ease-in-out infinite;
  /* border: 4px solid #fff; */
  margin-top: 10rem;
}

@keyframes float {
  0% { transform:scale(1)}
  50% {  transform:scale(1.1)}
  100% {  transform:scale(1) }
}

h1.main-title {
  font-family: 'Fredoka', sans-serif;
  color: var(--primary-green);
  font-size: 2.5rem;
  line-height: 1.2;
  margin-bottom: 1rem;
  text-transform: uppercase;
  text-shadow: 2px 2px 0px #fff;
}

.sub-title {
  font-family: 'Playfair Display', serif;
  color: #555;
  font-size: 1.1rem;
  margin-bottom: 2rem;
  letter-spacing: 1px;
}

.btn-enter {
  background-color: #6fb500;
  color: white;
  border: none;
  padding: 15px 27px;
  font-size: 1.3rem;
  border-radius: 50px;
  cursor: pointer;
  font-family: 'Fredoka', sans-serif;
  transition: all 0.3s ease;
  box-shadow: 0 5px 15px rgba(76, 175, 80, 0.4);
  position: relative;
  overflow: hidden;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 600;
}

.btn-enter:hover {
  transform: scale(1.05);
  background-color: #43A047;
  box-shadow: 0 8px 20px rgba(76, 175, 80, 0.6);
}

/* --- Part 2: Seasons (Middle) --- */
#view-2 {
  background-color: var(--bg-cream);
  padding: 2rem 1rem;
  display: flex;
  align-items: center;
  overflow-y: auto;
  flex-direction: column;
  justify-content: center;
  /* height: auto; */
  /* min-height: 100%; */
}

.header-bar {
  text-align: center;
  margin-bottom: 1rem;
  width: 100%;
}

.header-bar h2 {
  color: #4d7400;
  font-family: 'Playfair Display';
  font-size: 2rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  margin-bottom: 15px;
}

.header-bar p {

}
.header-bar p img{
  height: 50px;
}
.seasons-swiper-container {
  width: 100%;
  /* max-width: 1000px; */
  padding: 20px 0 20px 0;
  position: relative;
}

.season-card {
  border-radius: 15px;
  /* padding: 2rem 1.5rem; */
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  transition: all 0.4s ease;
  position: relative;
  /* box-shadow: 0 10px 20px rgba(0,0,0,0.05); */
  margin: 0px;
}

/* Card Specific Colors */
.card-eu {cursor: pointer; }
.card-eu img { width: 100%;}
.card-local { background-color: #FFCCBC; color: #BF360C; }

/* Swiper Active State Logic */
.swiper-slide-active .season-card {
  /* transform: scale(1.05); */
  /* box-shadow: 0 15px 35px rgba(0,0,0,0.15); */
  z-index: 2;
  /* border: 2px solid rgba(255,255,255,0.5); */
  position: relative;
}

.swiper-slide.no-active::after {
  content: '';
  width: 100%;
  height: 100%;
background-color: #000;
opacity: 0.5;
position: absolute;
left: 0px;
top: 0px;
z-index: 3;
}

.season-icon-box {
  font-size: 3.5rem;
  margin-bottom: 1rem;
  background: rgba(255,255,255,0.4);
  width: 80px;
  height: 80px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.season-title {
  font-family: 'Playfair Display', serif;
  font-weight: 700;
  font-size: 1.4rem;
  margin-bottom: 0.5rem;
  text-transform: uppercase;
}

.season-date {
  font-size: 0.9rem;
  opacity: 0.8;
  margin-bottom: 1rem;
  border-top: 1px solid rgba(0,0,0,0.1);
  padding-top: 10px;
  width: 60%;
}

.status-badge {
  background: white;
  padding: 5px 15px;
  border-radius: 20px;
  font-size: 0.8rem;
  font-weight: bold;
  text-transform: uppercase;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.nav-controls {
  display: flex;
  /* gap: 20px; */
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: -2rem;
}

.btn-back {
  background: transparent;
  color: var(--text-dark);
  border: none;
  border-radius: 30px;
  cursor: pointer;
  font-weight: bold;
  transition: all 0.3s;
  font-family: 'Nunito', sans-serif;
  /* animation: float 2s ease-in-out infinite; */
  align-self: center;
  /* margin-top: 20px; */
  /* position: absolute; */
  /* bottom: -2rem; */
}

.btn-back:hover {
  background: transparent;
  color: white;
}
.btn-back img{
  height: 50px;
}
.btn-next-section {
  background: var(--primary-green);
  color: white;
  border: none;
  padding: 10px 30px;
  border-radius: 30px;
  cursor: pointer;
  font-weight: bold;
  transition: all 0.3s;
  box-shadow: 0 4px 10px rgba(76, 175, 80, 0.3);
}

.btn-next-section:hover {
  transform: translateY(-2px);
  box-shadow: 0 6px 15px rgba(76, 175, 80, 0.4);
}

/* --- Part 3: Details (Bottom) --- */
#view-3 {
  background: url(../img/view3.png);
  /* Background image overlay effect */
  background-size: cover;
  background-position: center;
  color: white;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.details-header {
  text-align: left;
  margin-bottom: 2rem;
}

.details-header h2 {
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 5px;
  font-family: 'Playfair Display';
  font-size: 2rem;
}

.details-swiper-container {
  width: 100%;
  /* max-width: 1100px; */
  margin: 0 auto;
  padding: 20px 0 60px 0;
}

.food-slide {
  background: white;
  border-radius: 10px;
  overflow: hidden;
  color: var(--text-dark);
  /* height: 450px; */
  display: flex;
  flex-direction: column;
  box-shadow: 0 10px 30px rgba(0,0,0,0.2);
text-decoration:none;
}

.food-img-wrapper {
  /* height: 75%; */
  width: 100%;
  overflow: hidden;
  position: relative;
}

.food-img {
  width: 100%;
  height: 210px;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.food-slide:hover .food-img {
  transform: scale(1.05);
}

.food-info {
  height: 25%;
  padding: 1.5rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: #fff;
}

.food-headline {
  font-weight: 700;
  font-size: 1.4rem;
  color: #333;
  margin-bottom: 0.5rem;
  font-family: 'Playfair Display';
}

.food-desc {
  font-size: 0.9rem;
  color: #777;
}

/* Swiper Nav Buttons for Part 3 */
.swiper-button-next, .swiper-button-prev {
  color: white;
  background: rgba(255,255,255,0.2);
  width: 50px;
  height: 50px;
  border-radius: 50%;
  backdrop-filter: blur(5px);
  transition: all 0.3s;
}

.swiper-button-next:hover, .swiper-button-prev:hover {
  background: white;
  color: var(--primary-blue);
}

.swiper-button-next::after, .swiper-button-prev::after {
  font-size: 1.2rem;
  font-weight: bold;
}

.btn-home {
  background-color: transparent;
  border: none;
  cursor: pointer;
  align-self: center;
  /* margin-top: 20px; */
  position: absolute;
  bottom: -2px;
  animation: float 2s ease-in-out infinite;
}

.btn-home:hover {
  transform: scale(1.05);
  background-color: transparent;

}
.btn-home img{
  height: 50px;
}
/* Responsive */

.local-flovars{cursor: pointer;}
.local-flovars img{
  width: 100%;
}

.seasons-swiper-container .swiper-button-next, 
.seasons-swiper-container .swiper-button-prev{
  
position: relative;
  
background-color: #4d4949;
  
width: 40px;
  
height: 40px;
  
display: inline-flex;
  
left: 0px;
  
right: 0px;
}
.seasons-swiper-container .swiper-button-next{
  
margin-left: 15px;
}
.seasons-swiper-container .swiper-button-prev{

margin-right: 15px;
}
.seasons-swiper-container .swiper-button-next::after, 
.seasons-swiper-container .swiper-button-prev::after{
  font-size: 1rem;
}
.seasons-swiper-container .swiper-button-next:hover::after, 
.seasons-swiper-container .swiper-button-prev:hover::after{
  color: #fff;
}
.swiper-div{
  
text-align: center;
  
margin-top: 20px;
  
position: relative;
}
.swiper-div::before{
  content: '';
  width: 100%;
  height: 1.5px;
  background-color: #7c7875;
  position: absolute;
  left: 0px;
  top: 3px;
}
.swiper-div::after{
  content: '';
  width: 100%;
  height: 1.5px;
  background-color: #7c7875;
  position: absolute;
  left: 0px;
  top: 15px;
}
.swiper-view{
  display: none;
}
.swiper-view.active{
  display: block;
}
.swiper-div-bg{
  background-color: #fff8e1;
  display: inline-block;
  position: relative;
  z-index: 2;
}
.details-swiper-list,
.hidden-sm{
  display: none;
}
.logo{

position: absolute;

left: 10%;

top: 14px;
}
.logo img{
  
height: 45px;
}
.relative{
  position: relative;
}